#ifndef _SHOTTRACKER_H__

#include <vector>
#include <map>

class Shot
{
public:
	Shot(){ isEmpty = true; }
	Shot(int _owner, int _shotID, float _lifetime);

	int owner;
	int shotID;
	float lifetime;
	double timeAdded;
	bool isEmpty;
};

class _ShotTracker
{
public:
	_ShotTracker(){ nextShot = 1; }
	void add(int owner, int shotID, float lifetime);
	Shot findShot(int shotID);
	std::vector<Shot> findShots(int owner);
	int getUniqueShotID();
	Shot checkShot(int shotID, int index = -1);
	void remove(int shotID, int index = -1);
	void purge();

private:
	std::vector<Shot> shotlist;
	std::map<int, std::vector<int> > playerShots;
	int nextShot;
};

#define _SHOTTRACKER_H__
#endif