#ifndef _TURRETWEAPON_H__

#include <string>
#include <map>
#include <vector>
#include <stdio.h> // For stupid linux
#include <stdlib.h>
#include "bzfsAPI.h"
#include "common.h"

class TurretWeapon
{
public:
	TurretWeapon();
	void fire(bz_PlayerRecord *player, Obsticle obsticle, Point newPos);
	bool parse(bz_CustomMapObjectInfo *data);
	std::string getName();
	int getFrequency();
private:
	std::string name;
	std::string type;
	float lifetime;
	int frequency;
	Point pos;
	std::vector<float> tiltExtent;
	std::vector<float> angleExtent;
	double lastTime;
};

inline std::string TurretWeapon::getName(){
	return name;
}

inline int TurretWeapon::getFrequency(){
	return frequency;
}

#define _TURRETWEAPON_H__
#endif