#ifndef _TURRETAREA_H__

#include <string>
#include <vector>
#include "bzfsAPI.h"
#include "TurretWeapon.h"
#include "common.h"

class TurretZone
{
public:
	TurretZone(std::vector<TurretWeapon> *_weaponList);
	void checkPosition(bz_PlayerRecord *player);
	int getOccupent();
	void setOccupent(int playerID);
	std::string getName();
	bool parse(bz_CustomMapObjectInfo *data);
private:
	std::string name;
	std::vector<TurretWeapon> *weaponList;
	std::vector<unsigned int> weapons;
	int playerInside;
	Obsticle obsticle;
};

inline int TurretZone::getOccupent(){
	return playerInside;
}
inline void TurretZone::setOccupent(int playerID){
	playerInside = playerID;
}
inline std::string TurretZone::getName(){
	return name;
}

#define _TURRETAREA_H__
#endif